Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.spi.java.classpath.support
Class PathResourceBase

    java.lang.Object
      org.netbeans.spi.java.classpath.support.PathResourceBase

All Implemented Interfaces:
  PathResourceImplementation

    public abstract class PathResourceBase

extends Object
implements PathResourceImplementation

This class provides a base class for PathResource implementations

Since:
  org.netbeans.api.java/1 1.4

Field Summary

Fields inherited from interface org.netbeans.spi.java.classpath.PathResourceImplementation
`PROP_ROOTS`

Constructor Summary
`PathResourceBase()`

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds property change listener.
`protected void` | `firePropertyChange(String propName, Object oldValue, Object newValue)` Fires PropertyChangeEvent
`void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes PropertyChangeListener

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.netbeans.spi.java.classpath.PathResourceImplementation
`getContent, getRoots`

Constructor Detail

### PathResourceBase

    public PathResourceBase()

Method Detail

### addPropertyChangeListener

    public final void addPropertyChangeListener(PropertyChangeListener listener)

  Adds property change listener. The listener is notified when the roots of the PathResource are changed.

  Specified by:
    `addPropertyChangeListener` in interface `PathResourceImplementation`
  Parameters:
    `listener` -

### removePropertyChangeListener

    public final void removePropertyChangeListener(PropertyChangeListener listener)

  Removes PropertyChangeListener

  Specified by:
    `removePropertyChangeListener` in interface `PathResourceImplementation`
  Parameters:
    `listener` -

### firePropertyChange

    protected final void firePropertyChange(String propName,
                                            Object oldValue,
                                            Object newValue)

  Fires PropertyChangeEvent

  Parameters:
    `propName` - name of property
    `oldValue` - old property value or null
    `newValue` - new property value or null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.java/1 1.10.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.